<?php
namespace App\Models;

use CodeIgniter\Model;

class myfitTracking extends Model
{
    protected $db;
    public $con_name = 'mermsemr';

    public function __construct()
    {
        parent::__construct();
        //$db = \Config\Database::connect('mermsemr');
        $this->db = \Config\Database::connect($this->con_name);
    }

    public function readTracking($in)
    {
        $sqlQ =
            'SELECT * FROM members_reminders';

       
        $query = $this->db->query($sqlQ);
        $data['reminders_data'] = $query->getResultArray();
        return $inx = [
            'reminders' => $data['reminders_data'],
            'status' => 1,
            'raw_data' => $in,
        ];

        
    }

    public function getSupportedTrackingDevices(){

        return [];
    }

    public function userConfigureDevice(){

        return [];
    }


}
